%define revision 813
%if "%_lib" == "lib64"
%define LIB_SUFFIX="64"
%else
%define LIB_SUFFIX=""
%endif

Summary: a GUI library for OpenGL
Name: gigi
Version: 0.7.0
Release: alt4.svn%{revision}.2
Source0: %name-%version.tar.gz
License: GPL
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Group: System/Libraries
Url: http://gigi.sourceforge.net/

# Automatically added by buildreq on Thu Jun 25 2009
BuildRequires: rpm-build-compat boost-filesystem-devel boost-signals-devel ccmake doxygen gcc-c++ libGL-devel libSDL-devel libX11-devel libfreetype-devel libjpeg-devel libogre-devel libois-devel libpng-devel libtiff-devel xorg-xf86vidmodeproto-devel

%description
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent (it runs at least
on Linux and Windows, and probably more), compiler-independent (it compiles under at
GCC 3.2 or higher and MSVC++ 7.1 or higher, and probably more), and driver-independent.
A reference driver for SDL is provided, and it is straightforward to write one for
yourself should you decide to do so.

%package -n lib%name
Summary: a GUI library for OpenGL
Group: System/Libraries

%description -n lib%name
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent (it runs at least
on Linux and Windows, and probably more), compiler-independent (it compiles under at
GCC 3.2 or higher and MSVC++ 7.1 or higher, and probably more), and driver-independent.
A reference driver for SDL is provided, and it is straightforward to write one for
yourself should you decide to do so.

%package -n lib%name-devel
Summary: Development files for %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n lib%name-devel-doc
Summary: Development files for %name
Group: Development/Documentation

%description -n lib%name-devel-doc
The %name-devel package contains development documentation for
developing applications that use %name.

%prep
%setup -q
subst 's|0.6.0|0.7.0|g' CMakeLists.txt

%build
%cmake \
	-DCMAKE_C_FLAGS:STRING="%optflags -DBOOST_FILESYSTEM_VERSION=2" \
	-DCMAKE_CXX_FLAGS:STRING="%optflags -DBOOST_FILESYSTEM_VERSION=2"

%make_build -C BUILD VERBOSE=1

%install
%makeinstall_std -C BUILD

mkdir -p %buildroot%_libdir/GG/

cp -R src/GIL %buildroot%_includedir/GG/
cp -R cmake/*.cmake %buildroot%_libdir/GG/

mv -f %buildroot/usr/doc/GG doc

%files -n lib%name
%_libdir/libGiGi*.so

%files -n lib%name-devel
%_includedir/GG
%_libdir/pkgconfig/GiGi*
%_libdir/GG/*.cmake

%files -n lib%name-devel-doc
%doc doc/*

%changelog
* Fri Mar 25 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.0-alt4.svn813.2
- Rebuilt with Boost 1.46.1

* Sat Mar 12 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.0-alt4.svn813.1
- Rebuilt for debuginfo

* Sun Sep 05 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7.0-alt4.svn813
- New version
- Update spec

* Sat May 15 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7.0-alt4.svn812
- New version

* Sun Nov 08 2009 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7.0-alt4.svn795
- Fix build. Remove rpm-build-compat from BuildRequires

* Wed Oct 07 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.7.0-alt3.svn795
- Rebuild with new version of libs

* Sat Jun 27 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.7.0-alt2.svn795
- Add src/GIL/* to lib%name-devel

* Thu Jun 25 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.7.0-alt1.svn795
- Build for ALT
